Swagger::XmlObject Class Reference

A metadata object that allows for more fine-tuned XML model definitions. More...

Inheritance diagram for Swagger::XmlObject:
[legend]

## Public Member Functions

| constructor (hash oh)
| Constructor. More...
Public Member Functions inherited from Swagger::ObjectBase
| constructor ()
| Constructor.
| constructor (hash oh)
| Constructor. More...
| constructor (ObjectBase other)
| copy constructor
| initialize (hash oh)
| Initialize. More...

## Public Attributes

bool | attribute = False
| Declares whether the property definition translates to an attribute instead of an element. Default value is `false`.
*string | name
| Replaces the name of the element/attribute used for the described schema property. More...
*string | ns
| The URL of the namespace definition. Value SHOULD be in the form of a URL.
*string | prefix
| The prefix to be used for the name.
bool | wrapped = False
| MAY be used only for an array definition. Signifies whether the array is wrapped (for example, `<books><book/><book/></books>`) or unwrapped (`<book/><book/>`). More...
Public Attributes inherited from Swagger::ObjectBase
hash | vendorExtensions
| Allows extensions to the Swagger Schema. More...

## Detailed Description

A metadata object that allows for more fine-tuned XML model definitions.

When using arrays, XML element names are not inferred (for singular/plural forms) and the name property should be used to add that information. See examples for expected behavior.

## Member Function Documentation

## constructor()

Swagger::XmlObject::constructor | ( | hash | oh | ) |

Constructor.

Parameters

  oh | deserialized hash from the source schema description describing XML model definitions

Exceptions

  INVALID-FIELD-TYPE | field has invalid type

## Member Data Documentation

## name

*string Swagger::XmlObject::name

Replaces the name of the element/attribute used for the described schema property.

When defined within the `items`, it will affect the name of the individual XML elements within the list. When defined alongside `type` being `array` (outside the `items`), it will affect the wrapping element and only if `wrapped` is `true`. If `wrapped` is `false`, it will be ignored.

## wrapped

bool Swagger::XmlObject::wrapped = False

MAY be used only for an array definition. Signifies whether the array is wrapped (for example, `<books><book/><book/></books>`) or unwrapped (`<book/><book/>`).

Default value is `false`. The definition takes effect only when defined alongside `type` being `array` (outside the `items`).